net.sf.jasperreports.engine.xml

## Class StyleContainerRule

- java.lang.Object
- - org.apache.commons.digester.Rule
  - - net.sf.jasperreports.engine.xml.StyleContainerRule

-     public class StyleContainerRule
      extends org.apache.commons.digester.Rule

  Version:
    $Id: StyleContainerRule.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_STYLE_ATTRIBUTE`

    - ### Fields inherited from class org.apache.commons.digester.Rule

      `digester, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleContainerRule()`
    `StyleContainerRule(java.lang.String styleAttribute)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin(java.lang.String namespace, java.lang.String name, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class org.apache.commons.digester.Rule

      `begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_STYLE_ATTRIBUTE

          public static final java.lang.String DEFAULT_STYLE_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StyleContainerRule

          public StyleContainerRule()

    - #### StyleContainerRule

          public StyleContainerRule(java.lang.String styleAttribute)

  - ### Method Detail

    - #### begin

          public void begin(java.lang.String namespace,
                   java.lang.String name,
                   org.xml.sax.Attributes attributes)
                     throws java.lang.Exception

      Overrides:
        `begin` in class `org.apache.commons.digester.Rule`
      Throws:
        `java.lang.Exception`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com